2022-07-22 21:23:27 +00:00
|
|
|
# Shell thickness
|
|
|
|
shell_t = 3.5
|
|
|
|
|
|
|
|
# width, length VISIBLE WITHIN THE BEZEL
|
|
|
|
screen_w = 223
|
|
|
|
screen_l = 57
|
|
|
|
# Distance from the left of the case to screen cutout
|
|
|
|
screen_left_margin = 7 + shell_t # (7 is bezel width on that side)
|
|
|
|
# width, length, height INCLUDING_BEZEL
|
|
|
|
display_w = 233
|
|
|
|
display_l = 65
|
2022-07-24 14:06:50 +00:00
|
|
|
# This is the general height without the board, that's handled separately
|
2022-07-22 21:23:27 +00:00
|
|
|
display_h = 5
|
|
|
|
|
|
|
|
width = 250
|
|
|
|
height = display_h + 2 * shell_t + 1
|
|
|
|
length = display_l + 2 * shell_t + 1
|
|
|
|
fillet_s = 2
|
|
|
|
|
|
|
|
|
|
|
|
# Distance from the left of the case to display end
|
|
|
|
display_left_margin = screen_left_margin - 7
|
|
|
|
# Distance from the right of the case to display end
|
|
|
|
display_right_margin = width - display_left_margin - display_w
|
|
|
|
# Distance from the top of the case to display top
|
|
|
|
display_top_margin = (length - display_l) / 2
|
|
|
|
display_bottom_margin = display_top_margin # Symmetrical
|
|
|
|
|
|
|
|
|
|
|
|
# Threaded insert hole dimensions
|
|
|
|
ti_radius = 2.35
|
|
|
|
ti_depth = 6.5
|